Name:       gridpp-dpm-tools
Version:    1.1.0
Release:    2%{?dist}
Summary:    A collection of handy utilities for Disk Pool Manager
Group:      Applications/System
License:    GPLv2+
URL:        http://www.gridpp.ac.uk/wiki/DPM-admin-tools
Source0:    /usr/src/redhat/SOURCES/gridpp-dpm-tools-1.1.0.tgz
Source1:    gridpp-dpm-tools-setup.py
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:  noarch
BuildRequires:  python-devel
Requires:       DPM-interfaces
Requires:       python >= 2.3.0

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
A collection of handy utilities for Disk Pool Manager

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{_builddir}/%{name}/setup.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
# Create dummy file so that RPM doens't barf when there's no .egg-info:
install -d %{buildroot}/%{python_sitelib}/
touch %{buildroot}/%{python_sitelib}/gridpp_dpm_tools-dummy

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# Reminder that we ought to bundle some basic docs and a copy of the GPL
#%doc README LICENSE.txt

# Include any generated .egg-info file, but not our dummy one:
%{python_sitelib}/*
%exclude %{python_sitelib}/gridpp_dpm_tools-dummy

%{_bindir}/gridpp_dpm_disk_to_dpns
%{_bindir}/gridpp_dpm_dpns_to_disk
%{_bindir}/gridpp_dpm_get_group_map
%{_bindir}/gridpp_dpm_get_user_map
%{_bindir}/gridpp_dpm_list_disk
%{_bindir}/gridpp_dpm_list_space_tokens

%changelog
* Tue May 27 2008 Greig A Cowan <g.cowan@ed.ac.uk> - 1.1.0-2
Initial package
